Lucius API
Invoices

List invoices

Returns a paginated list of invoices, newest first. Filter by contract, status, or billing period date range.

GET
/v1/billing/invoices
AuthorizationBearer <token>

API key as Bearer token: Authorization: Bearer luc_live_...

In: header

Query Parameters

contract?string

Filter by contract external ID.

status?string

Filter by invoice status.

Value in"draft" | "sent" | "viewed" | "partial" | "paid" | "overdue" | "cancelled"
from?string

Billing period start on or after (YYYY-MM-DD).

Formatdate
to?string

Billing period end on or before (YYYY-MM-DD).

Formatdate
limit?integer

Number of items to return (1–100, default: 50).

Default50
Range1 <= value <= 100
starting_after?string

Invoice number to paginate after.

Response Body

application/json

application/json

curl -X GET "https://api.lucius.finance/v1/billing/invoices?contract=acme-corp-2026"
{
  "object": "list",
  "data": [
    {
      "object": "invoice",
      "number": "INV-2026-003",
      "contract": "acme-corp-2026",
      "status": "draft",
      "subtotal": 2500,
      "tax": 0,
      "total": 2500,
      "currency": "USD",
      "billing_period": {
        "start": "2026-03-01",
        "end": "2026-03-31"
      },
      "issued_date": "2026-03-01",
      "due_date": "2026-03-15",
      "paid_date": null,
      "metrics": [
        "revenue_amount_invoiced"
      ]
    }
  ],
  "has_more": false,
  "total_count": 1
}

{
  "error": "Missing API key"
}